root/projects/WinDictator/trunk/bin/reporter/Makefile.in

Revision 19, 20.8 kB (checked in by edsuom, 2 years ago)

Importing windictator into the global FOSS repo

Line 
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = .
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 subdir = .
37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
38         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
39         $(top_srcdir)/configure ./autotools//compile \
40         ./autotools//depcomp ./autotools//install-sh \
41         ./autotools//mdate-sh ./autotools//missing \
42         ./autotools//texinfo.tex AUTHORS COPYING ChangeLog INSTALL \
43         NEWS TODO
44 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45 am__aclocal_m4_deps = $(top_srcdir)/configure.in
46 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
47         $(ACLOCAL_M4)
48 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
49  configure.lineno configure.status.lineno
50 mkinstalldirs = $(install_sh) -d
51 CONFIG_HEADER = config.h
52 CONFIG_CLEAN_FILES =
53 SOURCES =
54 DIST_SOURCES =
55 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
56         html-recursive info-recursive install-data-recursive \
57         install-exec-recursive install-info-recursive \
58         install-recursive installcheck-recursive installdirs-recursive \
59         pdf-recursive ps-recursive uninstall-info-recursive \
60         uninstall-recursive
61 ETAGS = etags
62 CTAGS = ctags
63 DIST_SUBDIRS = $(SUBDIRS)
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 distdir = $(PACKAGE)-$(VERSION)
66 top_distdir = $(distdir)
67 am__remove_distdir = \
68   { test ! -d $(distdir) \
69     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
70          && rm -fr $(distdir); }; }
71 DIST_ARCHIVES = $(distdir).tar.gz
72 GZIP_ENV = --best
73 distuninstallcheck_listfiles = find . -type f -print
74 distcleancheck_listfiles = find . -type f -print
75 ACLOCAL = @ACLOCAL@
76 AMDEP_FALSE = @AMDEP_FALSE@
77 AMDEP_TRUE = @AMDEP_TRUE@
78 AMTAR = @AMTAR@
79 AUTOCONF = @AUTOCONF@
80 AUTOHEADER = @AUTOHEADER@
81 AUTOMAKE = @AUTOMAKE@
82 AWK = @AWK@
83 BASH = @BASH@
84 BUF_VERBOSE_FALSE = @BUF_VERBOSE_FALSE@
85 BUF_VERBOSE_TRUE = @BUF_VERBOSE_TRUE@
86 BUILDDOC_FALSE = @BUILDDOC_FALSE@
87 BUILDDOC_TRUE = @BUILDDOC_TRUE@
88 CC = @CC@
89 CCDEPMODE = @CCDEPMODE@
90 CFLAGS = @CFLAGS@
91 CLI_DIR = @CLI_DIR@
92 CONVERT = @CONVERT@
93 CPP = @CPP@
94 CPPFLAGS = @CPPFLAGS@
95 CYGPATH_W = @CYGPATH_W@
96 DEFS = @DEFS@
97 DEPDIR = @DEPDIR@
98 DIA = @DIA@
99 DOCONLY_FALSE = @DOCONLY_FALSE@
100 DOCONLY_TRUE = @DOCONLY_TRUE@
101 DOC_DIR = @DOC_DIR@
102 DOC_TARGETS = @DOC_TARGETS@
103 DVI2PS = @DVI2PS@
104 ECHO_C = @ECHO_C@
105 ECHO_N = @ECHO_N@
106 ECHO_T = @ECHO_T@
107 EGREP = @EGREP@
108 EPSTOPDF = @EPSTOPDF@
109 EXEEXT = @EXEEXT@
110 FOO_DIR = @FOO_DIR@
111 GCOV_FALSE = @GCOV_FALSE@
112 GCOV_TRUE = @GCOV_TRUE@
113 GPROF_FALSE = @GPROF_FALSE@
114 GPROF_TRUE = @GPROF_TRUE@
115 GREP = @GREP@
116 GUI_DIR = @GUI_DIR@
117 INSTALL_DATA = @INSTALL_DATA@
118 INSTALL_PROGRAM = @INSTALL_PROGRAM@
119 INSTALL_SCRIPT = @INSTALL_SCRIPT@
120 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
121 LDFLAGS = @LDFLAGS@
122 LIBDL = @LIBDL@
123 LIBOBJS = @LIBOBJS@
124 LIBS = @LIBS@
125 LIBSEMA = @LIBSEMA@
126 LIB_DIR = @LIB_DIR@
127 LTLIBOBJS = @LTLIBOBJS@
128 MAINT = @MAINT@
129 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
130 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
131 MAKEINFO = @MAKEINFO@
132 OBJEXT = @OBJEXT@
133 PACKAGE = @PACKAGE@
134 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
135 PACKAGE_CFLAGS = @PACKAGE_CFLAGS@
136 PACKAGE_LIBS = @PACKAGE_LIBS@
137 PACKAGE_NAME = @PACKAGE_NAME@
138 PACKAGE_STRING = @PACKAGE_STRING@
139 PACKAGE_TARNAME = @PACKAGE_TARNAME@
140 PACKAGE_VERSION = @PACKAGE_VERSION@
141 PATH_SEPARATOR = @PATH_SEPARATOR@
142 PEDANTIC_FALSE = @PEDANTIC_FALSE@
143 PEDANTIC_TRUE = @PEDANTIC_TRUE@
144 PKG_CONFIG = @PKG_CONFIG@
145 PS2PDF = @PS2PDF@
146 RANLIB = @RANLIB@
147 SET_MAKE = @SET_MAKE@
148 SHELL = @SHELL@
149 STRIP = @STRIP@
150 TEXI2HTML = @TEXI2HTML@
151 VERBOSE_FALSE = @VERBOSE_FALSE@
152 VERBOSE_TRUE = @VERBOSE_TRUE@
153 VERSION = @VERSION@
154 X11_LIBS = @X11_LIBS@
155 XMKMF = @XMKMF@
156 XOSD_FALSE = @XOSD_FALSE@
157 XOSD_TRUE = @XOSD_TRUE@
158 X_CFLAGS = @X_CFLAGS@
159 X_EXTRA_LIBS = @X_EXTRA_LIBS@
160 X_LIBS = @X_LIBS@
161 X_PRE_LIBS = @X_PRE_LIBS@
162 ac_ct_CC = @ac_ct_CC@
163 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
164 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
165 am__include = @am__include@
166 am__leading_dot = @am__leading_dot@
167 am__quote = @am__quote@
168 am__tar = @am__tar@
169 am__untar = @am__untar@
170 bindir = @bindir@
171 build_alias = @build_alias@
172 datadir = @datadir@
173 datarootdir = @datarootdir@
174 docdir = @docdir@
175 dvidir = @dvidir@
176 exec_prefix = @exec_prefix@
177 host_alias = @host_alias@
178 htmldir = @htmldir@
179 includedir = @includedir@
180 infodir = @infodir@
181 install_sh = @install_sh@
182 libdir = @libdir@
183 libexecdir = @libexecdir@
184 localedir = @localedir@
185 localstatedir = @localstatedir@
186 mandir = @mandir@
187 mkdir_p = @mkdir_p@
188 oldincludedir = @oldincludedir@
189 pdfdir = @pdfdir@
190 prefix = @prefix@
191 program_transform_name = @program_transform_name@
192 psdir = @psdir@
193 sbindir = @sbindir@
194 sharedstatedir = @sharedstatedir@
195 sysconfdir = @sysconfdir@
196 target_alias = @target_alias@
197 SUBDIRS = ${LIB_DIR}  ${CLI_DIR} ${GUI_DIR} ${DOC_DIR} share examples sessions
198 AUTOMAKE_OPTIONS = gnu
199 EXTRA_DIST = Makefile.xnee Makefile.cvs autotools/* projects/test.xnp sessions/example1.xns README BUGS FAQ EXAMPLES doc/Makefile.am ChangeLog
200 all: config.h
201         $(MAKE) $(AM_MAKEFLAGS) all-recursive
202
203 .SUFFIXES:
204 am--refresh:
205         @:
206 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
207         @for dep in $?; do \
208           case '$(am__configure_deps)' in \
209             *$$dep*) \
210               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
211               cd $(srcdir) && $(AUTOMAKE) --gnu  \
212                 && exit 0; \
213               exit 1;; \
214           esac; \
215         done; \
216         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
217         cd $(top_srcdir) && \
218           $(AUTOMAKE) --gnu  Makefile
219 .PRECIOUS: Makefile
220 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
221         @case '$?' in \
222           *config.status*) \
223             echo ' $(SHELL) ./config.status'; \
224             $(SHELL) ./config.status;; \
225           *) \
226             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
227             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
228         esac;
229
230 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
231         $(SHELL) ./config.status --recheck
232
233 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
234         cd $(srcdir) && $(AUTOCONF)
235 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
236         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
237
238 config.h: stamp-h1
239         @if test ! -f $@; then \
240           rm -f stamp-h1; \
241           $(MAKE) stamp-h1; \
242         else :; fi
243
244 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
245         @rm -f stamp-h1
246         cd $(top_builddir) && $(SHELL) ./config.status config.h
247 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
248         cd $(top_srcdir) && $(AUTOHEADER)
249         rm -f stamp-h1
250         touch $@
251
252 distclean-hdr:
253         -rm -f config.h stamp-h1
254 uninstall-info-am:
255
256 # This directory's subdirectories are mostly independent; you can cd
257 # into them and run `make' without going through this Makefile.
258 # To change the values of `make' variables: instead of editing Makefiles,
259 # (1) if the variable is set in `config.status', edit `config.status'
260 #     (which will cause the Makefiles to be regenerated when you run `make');
261 # (2) otherwise, pass the desired values on the `make' command line.
262 $(RECURSIVE_TARGETS):
263         @failcom='exit 1'; \
264         for f in x $$MAKEFLAGS; do \
265           case $$f in \
266             *=* | --[!k]*);; \
267             *k*) failcom='fail=yes';; \
268           esac; \
269         done; \
270         dot_seen=no; \
271         target=`echo $@ | sed s/-recursive//`; \
272         list='$(SUBDIRS)'; for subdir in $$list; do \
273           echo "Making $$target in $$subdir"; \
274           if test "$$subdir" = "."; then \
275             dot_seen=yes; \
276             local_target="$$target-am"; \
277           else \
278             local_target="$$target"; \
279           fi; \
280           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
281           || eval $$failcom; \
282         done; \
283         if test "$$dot_seen" = "no"; then \
284           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
285         fi; test -z "$$fail"
286
287 mostlyclean-recursive clean-recursive distclean-recursive \
288 maintainer-clean-recursive:
289         @failcom='exit 1'; \
290         for f in x $$MAKEFLAGS; do \
291           case $$f in \
292             *=* | --[!k]*);; \
293             *k*) failcom='fail=yes';; \
294           esac; \
295         done; \
296         dot_seen=no; \
297         case "$@" in \
298           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
299           *) list='$(SUBDIRS)' ;; \
300         esac; \
301         rev=''; for subdir in $$list; do \
302           if test "$$subdir" = "."; then :; else \
303             rev="$$subdir $$rev"; \
304           fi; \
305         done; \
306         rev="$$rev ."; \
307         target=`echo $@ | sed s/-recursive//`; \
308         for subdir in $$rev; do \
309           echo "Making $$target in $$subdir"; \
310           if test "$$subdir" = "."; then \
311             local_target="$$target-am"; \
312           else \
313             local_target="$$target"; \
314           fi; \
315           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
316           || eval $$failcom; \
317         done && test -z "$$fail"
318 tags-recursive:
319         list='$(SUBDIRS)'; for subdir in $$list; do \
320           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
321         done
322 ctags-recursive:
323         list='$(SUBDIRS)'; for subdir in $$list; do \
324           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
325         done
326
327 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
328         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
329         unique=`for i in $$list; do \
330             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
331           done | \
332           $(AWK) '    { files[$$0] = 1; } \
333                END { for (i in files) print i; }'`; \
334         mkid -fID $$unique
335 tags: TAGS
336
337 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
338                 $(TAGS_FILES) $(LISP)
339         tags=; \
340         here=`pwd`; \
341         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
342           include_option=--etags-include; \
343           empty_fix=.; \
344         else \
345           include_option=--include; \
346           empty_fix=; \
347         fi; \
348         list='$(SUBDIRS)'; for subdir in $$list; do \
349           if test "$$subdir" = .; then :; else \
350             test ! -f $$subdir/TAGS || \
351               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
352           fi; \
353         done; \
354         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
355         unique=`for i in $$list; do \
356             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
357           done | \
358           $(AWK) '    { files[$$0] = 1; } \
359                END { for (i in files) print i; }'`; \
360         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
361           test -n "$$unique" || unique=$$empty_fix; \
362           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
363             $$tags $$unique; \
364         fi
365 ctags: CTAGS
366 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
367                 $(TAGS_FILES) $(LISP)
368         tags=; \
369         here=`pwd`; \
370         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
371         unique=`for i in $$list; do \
372             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
373           done | \
374           $(AWK) '    { files[$$0] = 1; } \
375                END { for (i in files) print i; }'`; \
376         test -z "$(CTAGS_ARGS)$$tags$$unique" \
377           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
378              $$tags $$unique
379
380 GTAGS:
381         here=`$(am__cd) $(top_builddir) && pwd` \
382           && cd $(top_srcdir) \
383           && gtags -i $(GTAGS_ARGS) $$here
384
385 distclean-tags:
386         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
387
388 distdir: $(DISTFILES)
389         $(am__remove_distdir)
390         mkdir $(distdir)
391         $(mkdir_p) $(distdir)/autotools $(distdir)/doc $(distdir)/projects $(distdir)/sessions
392         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
393         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
394         list='$(DISTFILES)'; for file in $$list; do \
395           case $$file in \
396             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
397             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
398           esac; \
399           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
400           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
401           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
402             dir="/$$dir"; \
403             $(mkdir_p) "$(distdir)$$dir"; \
404           else \
405             dir=''; \
406           fi; \
407           if test -d $$d/$$file; then \
408             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
409               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
410             fi; \
411             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
412           else \
413             test -f $(distdir)/$$file \
414             || cp -p $$d/$$file $(distdir)/$$file \
415             || exit 1; \
416           fi; \
417         done
418         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
419           if test "$$subdir" = .; then :; else \
420             test -d "$(distdir)/$$subdir" \
421             || $(mkdir_p) "$(distdir)/$$subdir" \
422             || exit 1; \
423             distdir=`$(am__cd) $(distdir) && pwd`; \
424             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
425             (cd $$subdir && \
426               $(MAKE) $(AM_MAKEFLAGS) \
427                 top_distdir="$$top_distdir" \
428                 distdir="$$distdir/$$subdir" \
429                 distdir) \
430               || exit 1; \
431           fi; \
432         done
433         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
434           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
435           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
436           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
437         || chmod -R a+r $(distdir)
438 dist-gzip: distdir
439         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
440         $(am__remove_distdir)
441
442 dist-bzip2: distdir
443         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
444         $(am__remove_distdir)
445
446 dist-tarZ: distdir
447         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
448         $(am__remove_distdir)
449
450 dist-shar: distdir
451         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
452         $(am__remove_distdir)
453
454 dist-zip: distdir
455         -rm -f $(distdir).zip
456         zip -rq $(distdir).zip $(distdir)
457         $(am__remove_distdir)
458
459 dist dist-all: distdir
460         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
461         $(am__remove_distdir)
462
463 # This target untars the dist file and tries a VPATH configuration.  Then
464 # it guarantees that the distribution is self-contained by making another
465 # tarfile.
466 distcheck: dist
467         case '$(DIST_ARCHIVES)' in \
468         *.tar.gz*) \
469           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
470         *.tar.bz2*) \
471           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
472         *.tar.Z*) \
473           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
474         *.shar.gz*) \
475           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
476         *.zip*) \
477           unzip $(distdir).zip ;;\
478         esac
479         chmod -R a-w $(distdir); chmod a+w $(distdir)
480         mkdir $(distdir)/_build
481         mkdir $(distdir)/_inst
482         chmod a-w $(distdir)
483         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
484           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
485           && cd $(distdir)/_build \
486           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
487             $(DISTCHECK_CONFIGURE_FLAGS) \
488           && $(MAKE) $(AM_MAKEFLAGS) \
489           && $(MAKE) $(AM_MAKEFLAGS) dvi \
490           && $(MAKE) $(AM_MAKEFLAGS) check \
491           && $(MAKE) $(AM_MAKEFLAGS) install \
492           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
493           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
494           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
495                 distuninstallcheck \
496           && chmod -R a-w "$$dc_install_base" \
497           && ({ \
498                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
499                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
500                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
501                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
502                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
503               } || { rm -rf "$$dc_destdir"; exit 1; }) \
504           && rm -rf "$$dc_destdir" \
505           && $(MAKE) $(AM_MAKEFLAGS) dist \
506           && rm -rf $(DIST_ARCHIVES) \
507           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
508         $(am__remove_distdir)
509         @(echo "$(distdir) archives ready for distribution: "; \
510           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
511           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
512 distuninstallcheck:
513         @cd $(distuninstallcheck_dir) \
514         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
515            || { echo "ERROR: files left after uninstall:" ; \
516                 if test -n "$(DESTDIR)"; then \
517                   echo "  (check DESTDIR support)"; \
518                 fi ; \
519                 $(distuninstallcheck_listfiles) ; \
520                 exit 1; } >&2
521 distcleancheck: distclean
522         @if test '$(srcdir)' = . ; then \
523           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
524           exit 1 ; \
525         fi
526         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
527           || { echo "ERROR: files left in build directory after distclean:" ; \
528                $(distcleancheck_listfiles) ; \
529                exit 1; } >&2
530 check-am: all-am
531 check: check-recursive
532 all-am: Makefile config.h
533 installdirs: installdirs-recursive
534 installdirs-am:
535 install: install-recursive
536 install-exec: install-exec-recursive
537 install-data: install-data-recursive
538 uninstall: uninstall-recursive
539
540 install-am: all-am
541         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
542
543 installcheck: installcheck-recursive
544 install-strip:
545         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
546           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
547           `test -z '$(STRIP)' || \
548             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
549 mostlyclean-generic:
550
551 clean-generic:
552
553 distclean-generic:
554         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
555
556 maintainer-clean-generic:
557         @echo "This command is intended for maintainers to use"
558         @echo "it deletes files that may require special tools to rebuild."
559 clean: clean-recursive
560
561 clean-am: clean-generic mostlyclean-am
562
563 distclean: distclean-recursive
564         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
565         -rm -f Makefile
566 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
567
568 dvi: dvi-recursive
569
570 dvi-am:
571
572 html: html-recursive
573
574 info: info-recursive
575
576 info-am:
577
578 install-data-am:
579
580 install-exec-am:
581
582 install-info: install-info-recursive
583
584 install-man:
585
586 installcheck-am:
587
588 maintainer-clean: maintainer-clean-recursive
589         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
590         -rm -rf $(top_srcdir)/autom4te.cache
591         -rm -f Makefile
592 maintainer-clean-am: distclean-am maintainer-clean-generic
593
594 mostlyclean: mostlyclean-recursive
595
596 mostlyclean-am: mostlyclean-generic
597
598 pdf: pdf-recursive
599
600 pdf-am:
601
602 ps: ps-recursive
603
604 ps-am:
605
606 uninstall-am: uninstall-info-am
607
608 uninstall-info: uninstall-info-recursive
609
610 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
611         check-am clean clean-generic clean-recursive ctags \
612         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
613         dist-tarZ dist-zip distcheck distclean distclean-generic \
614         distclean-hdr distclean-recursive distclean-tags \
615         distcleancheck distdir distuninstallcheck dvi dvi-am html \
616         html-am info info-am install install-am install-data \
617         install-data-am install-exec install-exec-am install-info \
618         install-info-am install-man install-strip installcheck \
619         installcheck-am installdirs installdirs-am maintainer-clean \
620         maintainer-clean-generic maintainer-clean-recursive \
621         mostlyclean mostlyclean-generic mostlyclean-recursive pdf \
622         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
623         uninstall-info-am
624
625
626 devel-doc:
627         -rm -fr src-html/
628         mkdir src-html/
629         DATE="$(shell date)" && \
630         grep AM_INIT_AUTOMAKE configure.in |  sed -e 's/AM_INIT_AUTOMAKE//g' -e 's/\,[a-zA-Z0-9\.]*//g' -e 's,[()]*,,g'  && \
631         XNEE_NAME="$(shell grep AM_INIT_AUTOMAKE configure.in |  sed -e 's/AM_INIT_AUTOMAKE//g' -e 's/\,[a-zA-Z0-9\.]*//g' -e 's,[()]*,,g') " && \
632         XNEE_VERSION="$(shell grep AM_INIT_AUTOMAKE configure.in |  sed -e 's/AM_INIT_AUTOMAKE//g' -e 's/[a-zA-Z0-9\.]*\,//g' -e 's,[()]*,,g') " && \
633         echo "Date: \"$$DATE\"  $$XNEE_NAME  $$XNEE_VERSION  "  && \
634         cat tmpl/header.html.tmpl | sed \
635         -e "s,PRODUCT_TMPL,$$XNEE_NAME (libxnee),g"  \
636         -e "s,PRODUCT_VERSION_TMPL,$$XNEE_VERSION,g"  \
637         -e "s,PRODUCT_BUILD_TMPL,$$DATE,g"  \
638         -e "s,GNU_WWW_TMPL,http://www\.gnu\.org,g"  \
639         -e "s,XNEE_WWW_TMPL,http://www\.gnu\.org/software/xnee,g"  \
640         > libxnee/src/header.html
641         cat tmpl/header.html.tmpl | sed \
642         -e 's,PRODUCT_TMPL,$$XNEE_NAME (cnee),g'  \
643         -e 's,PRODUCT_VERSION_TMPL,$$XNEE_VERSION,g'  \
644         -e 's,PRODUCT_BUILD_TMPL,$$DATE,g'  \
645         -e "s,GNU_WWW_TMPL,http://www\.gnu\.org,g"  \
646         -e "s,XNEE_WWW_TMPL,http://www\.gnu\.org/software/xnee,g"  \
647         > cnee/src/header.html && \
648         mkdir -p src-html/libxnee/src
649         mkdir -p src-html/libxnee/include/libxnee
650         mkdir -p src-html/cnee/src
651         cd libxnee/src/     && ${MAKE} devel-doc
652 #       cd cnee/src/ && ${MAKE} src-html && cp *.html ../../src-html/cnee/src
653
654 manual:
655         cd ./doc/ && $(MAKE) all manual
656
657 man:
658         cd ./cnee/src && make man
659
660 test:
661         cd libxnee/test && make clean all test
662 # Tell versions [3.59,3.63) of GNU make to not export all variables.
663 # Otherwise a system limit (for SysV at least) may be exceeded.
664 .NOEXPORT:
Note: See TracBrowser for help on using the browser.